#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_AbysmFishingKingSignCFGData
{
	//天数
	int mDay;
	//奖励物品
	int mRewardItem;
	//奖励数量
	int mRewardQuantity;
};

class M_AbysmFishingKingSignCFG
{
public:
private:
	static std::auto_ptr<M_AbysmFishingKingSignCFG> msSingleton;
public:
	int GetCount();
	const M_AbysmFishingKingSignCFGData* GetData(int Day);
	boost::unordered_map<int, M_AbysmFishingKingSignCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_AbysmFishingKingSignCFG* GetSingleton();
private:
	boost::unordered_map<int, M_AbysmFishingKingSignCFGData> mMapData;
};
